Package: org.grails.cli.gradle.cache

## [Groovy] Class MapReadingCachedGradleOperation<V>

- org.grails.cli.gradle.cache.MapReadingCachedGradleOperation

-     @groovy.transform.InheritConstructors
      @groovy.transform.CompileStatic
      abstract class MapReadingCachedGradleOperation<V>
      extends CachedGradleOperation<java.util.Map<java.lang.String, V>>

  Cached Gradle operation that reads a Map

  Authors:
    Graeme Rocher
  Since:
    3.1

- - ### Constructor Summary

    Constructors
    Constructor and description
    `MapReadingCachedGradleOperation ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `abstract V` | `createMapValue(java.lang.Object value)`
    `` | `java.util.Map<java.lang.String, V>` | `readFromCached(java.io.File f)`
    `` | `void` | `writeToCache(java.io.PrintWriter writer, java.util.Map<java.lang.String, V> data)`

- - ### Constructor Detail

    - #### MapReadingCachedGradleOperation()

  - ### Method Detail

    - #### abstract V createMapValue(java.lang.Object value)

    - #### @java.lang.Override java.util.Map<java.lang.String, V> readFromCached(java.io.File f)

    - #### @java.lang.Override void writeToCache(java.io.PrintWriter writer, java.util.Map<java.lang.String, V> data)